D4Science Infrastructure - Task #7379

Create new VM for hosting SocialNetworking and gcube-oauth services

Mar 02, 2017 03:47 PM - Roberto Cirillo

Status: Closed Start date: Mar 02, 2017
Priority: Normal Due date: Mar 14, 2017
Assignee: Andrea Dell'’Amico % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: D4Science Infrastructure Upgrade to

gCube 4.3.0
Infrastructure: Production
Description

The new VM should have the following capabilities :

e 2vCPU
¢ 4 GB of RAM.

« the latest smartgears-distribution these services will work on all scopes of production environment

In addition it is very important that this node has a postfix configured to send email by using the same SMTP Relay of the Gateways.

Related issues:

Blocked by D4Science Infrastructure - Task #7380: Provide the list of all sco...

Closed Mar 02, 2017 Mar 10, 2017

History

#1 - Mar 02, 2017 03:48 PM - Roberto Cirillo

| suggest to call this host as:

socialnetworking-p-d4s.d4science.org

#2 - Mar 02, 2017 03:50 PM - Roberto Cirillo

- Blocked by Task #7380: Provide the list of all scopes currently available in production environment added

#3 - Mar 02, 2017 05:40 PM - Andrea Dell'Amico

There is no gcube-oauth role yet, is it correct?

#4 - Mar 02, 2017 05:41 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The IP address: 146.48.123.21

#5 - Mar 02, 2017 06:04 PM - Andrea Dell'Amico
- % Done changed from 0 to 70

The playbook is almost ready. The missing parts are the scopes list and the

The VM is up, ready to be configured.

#6 - Mar 03, 2017 01:22 PM - Andrea Dell'Amico

gcube-oauth role.

We will add socialnetworking.d4science.org to the haproxy frontend, with the running VM as the sole backend. So if a need to put the service in HA

arises we will only need to add other backends.

socialnetworking-p-d4s.d4science.org is going to be renamed socialnetworking1.d4science.org

#7 - Mar 03, 2017 05:22 PM - Andrea Dell'Amico

| also have a haproxy configuration almost ready. | only need to know a url path to use as a functionality check. Is the root:

/social-networking-library-ws/ OK?
#8 - Mar 03, 2017 05:59 PM - Costantino Perciante

Thank you Andrea, yes it is /social-networking-library-ws/ for the social-networking-library-ws and /gcube-oauth/ for the other service

#9 - Mar 03, 2017 06:15 PM - Andrea Dell'Amico

Can you provide directions to install and configure the two services so that we can automate that part?
#10 - Mar 07, 2017 07:29 PM - Costantino Perciante
here you can find the war urls (from staging)

http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging/org/gcube/portal/social-networking-library-ws/2.0.0-4.3.0-144413/s
ocial-networking-library-ws-2.0.0-4.3.0-144413.war (for social networking ws)

and

http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging/org/gcube/portal/oauth/1.0.0-4.3.0-142179/oauth-1.0.0-4.3.0-14217
9.war for the other one
Hope it helps

#11 - Mar 08, 2017 02:23 PM - Andrea Dell'Amico
- % Done changed from 70 to 90

The provisioning is running.
The scopes list is still missing, the only active one will be /d4science.research-infrastructures.eu

#12 - Mar 08, 2017 02:34 PM - Costantino Perciante

Thank you Andrea. As far as the list of scopes, | think it will need to run on every scope

#13 - Mar 08, 2017 02:58 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

Ops, | forgot about the other task. Now | added all the listed scopes.

#14 - Mar 13, 2017 02:08 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
